Change log for bitcoin package in Debian

157 of 57 results
Published in buster-release on 2017-11-19
Published in sid-release on 2017-11-13
bitcoin (0.15.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Refresh and unfuzz patches.
  * Update symbols.

 -- Jonas Smedegaard <email address hidden>  Mon, 13 Nov 2017 19:56:11 +0100
Superseded in buster-release on 2017-11-19
Superseded in sid-release on 2017-11-14
bitcoin (0.15.0.1~dfsg-2) unstable; urgency=medium

  * Use default gcc: Bug#871514 is solved now.
    Stop build-depend on gcc-6 or g++-6.
  * Add patch cherry-picked upstream, to fix json formatting in
    univalue-related tests.
    Closes: Bug#869704. Thanks to Christopher Baines.
  * Add patch 2002 to avoid tests requiring network access.
    Closes: Bug#844933. Thanks to Lucas Nussbaum and Rudy Godoy Guillén.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <email address hidden>  Thu, 02 Nov 2017 22:54:32 +0100
Published in sid-release on 2017-09-19
bitcoin (0.15.0.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix possible crash with invalid nCustomFeeRadio in QSettings.
    + Update manpages.

 -- Jonas Smedegaard <email address hidden>  Tue, 19 Sep 2017 14:37:30 +0200
Superseded in sid-release on 2017-09-20
bitcoin (0.15.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution strings.
  * Update symbols file.
  * Use https protocol for upstream Homepage.
  * Modernize Vcs-* fields: Consistently include .git suffix in path.

 -- Jonas Smedegaard <email address hidden>  Thu, 14 Sep 2017 09:48:46 +0200
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.15.0~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix include verbatim public-domain (non-)licensing statement in
      License field (not Comment field).
  * Tighten lintian overrides regarding License-Reference.
  * Update symbols.

 -- Jonas Smedegaard <email address hidden>  Mon, 28 Aug 2017 17:53:51 +0200
Superseded in experimental-release on 2017-09-10
bitcoin (0.15.0~~rc2~dfsg-1~exp2) experimental; urgency=medium

  * Temporarily use gcc-6 and g++-6 to avoid FTBFS on mips64el (see
    bug#871514).
    Build-depend on gcc-6 g++-6.

 -- Jonas Smedegaard <email address hidden>  Thu, 24 Aug 2017 10:37:05 +0200
Superseded in experimental-release on 2017-09-05
bitcoin (0.15.0~~rc2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Track prereleases.
    + Fix use ~~ for prereleases to rank below ~dfsg.
  * Update copyright info:
    + Adjust some paths.
    + Extend coverage for some authors.
    + Add a few new authors, licensed as Expat and/or BSD-3-clause.
  * Declare compliance with Debian Policy 4.0.1.
  * Unfuzz and restructure patches.

 -- Jonas Smedegaard <email address hidden>  Tue, 22 Aug 2017 13:51:48 +0200
Superseded in sid-release on 2017-09-15
bitcoin (0.14.2~dfsg-1~exp2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.1.

 -- Jonas Smedegaard <email address hidden>  Fri, 18 Aug 2017 02:39:35 +0200
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.14.2~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Repackage upstream source, excluding images with embedded non-free
    ICC profile, and embedded convenience code copies.
  * Update watch file:
    + Bump to file format 4.
    + Mention gbp --uscan in usage comment.
    + Mangle filename to include package name.
    + Set repacksuffix.
  * Use system-shared libraries leveldb secp256k1 univalue.
    + Add patches 1001 1002 2001 to use system-shared libraries.
    + Drop patches 1005 1006 1007 2002 tweaking embedded libraries.
    + Drop defence in README.source for use of embedded code copies.
    + Tell configure script to enable use of system libraries.
    + Build-depend on libleveldb-dev libsecp256k1-dev libunivalue-dev.
    See bug#734597 for related discussion.
  * Remove README.Debian: Contained only migration notes related to
    obsolete Berkeleydb 4.8.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Update coverage of m4 files.
    + Stop track embedded code copies no longer included.
    + Extend coverage of icons (based on contrib/debian/copyright).
    + Fix list LGPL-3+ licensed test script.
    + List a file with uncommon copyright holder.
  * Skip copyright-checking *.raw files.
  * Update source location and availability of manpages.
  * Update long descriptions based on upstream notes.
  * Update upstream project name.
  * Drop patch 3001: OpenSSL 1.1 supported upstream now.
  * Unfuzz patches.
  * Install bash-completion for bitcoin-tx.
  * Fix cleanup rule to not treat git files specially.
  * Track symbols using pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.
  * Limit relaxed shlibs resolving to experimental releases.
  * Improve shlibs resolving:
    + Stop blindly use upstream version: A patch may affect shlibs.
    + Relax to rely on symbols file (stop use same upstream version).
    + Tighten to ignore regressions only when targeting experimental.
  * Update symbols file.

 -- Jonas Smedegaard <email address hidden>  Thu, 13 Jul 2017 14:26:56 +0200
Superseded in sid-release on 2017-09-04
bitcoin (0.13.1-1) unstable; urgency=medium

  * Update README.source:
    + Replace obsolete notes about CDBS with note on tracking upstream
      git.
    + Drop obsolete note about backporting.
  * Replace and update copyright-check to extract metadata from
    graphics.
  * Update copyright info:
    + Use https protocol in format string.
    + Fix update coverage of images (major rework for 0.11.0).
    + Fix URLs.
    + Normalize copyright holders.
    + Normalize file lists.
    + Consistently use License sections.
    + List debian packaging after other Files sections.
    + Fix syntax of Comment section.
    + Fix avoid wildcard for two GPL-3+ licensed Files section.
    + Fix avoid wildcard for LGPL-2.1+ licensed Files section.
    + Fix use wildcard for univalue Files section.
    + Fix cover ctaes code (added in 0.13.0).
    + Drop separate Files section for bitcoind bash-completion (main
      copyright holder since 0.12.0).
    + Fix mention Autoconf exception for GPL-licensed m4 macros.
    + Fix cover more FSFAP-licensed m4 macros.
    + Fix extend coverage for main upstream authors.
    + Fix cover BSD-3-clause~Illinois-licensed script.
    + Fix typo in, and extend coverage for, Wladimir J. van der Laan.
    + Fix cover test tool with non-main copyright holders.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Sort License sections roughly by intent, main upstream license
      first.
    + Re-license packaging as GPL-3+.
    + Extend coverage of packaging.
    + Rewrap License sections at 72 chars.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Install bash-completion for bitcoin-cli.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
    + Move to pkg-bitcoin team.
  * Wrap and sort packaging files.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied even in oldstable.
    + Relax to build-depend unversioned on libzmq3-dev without fallback
      on libzmq5-dev: Needed version satisfied even in oldstable.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Modernize resolving DEB_UPSTREAM_VERSION: Recent enough
    dpkg-parsechangelog available even in oldstable.
  * Update patches:
    + Drop obsolete disabled patches 1001 1002 1008 3002.
    + Refresh patches with shortening quilt options.
    + Tighten DEP3 headers.
  * Fix install icons into correct location.
    Closes: Bug#823015. Thanks to Laurent Bigonville.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <email address hidden>  Sun, 02 Jul 2017 16:30:15 +0200
Deleted in stretch-release (Reason: None provided.)
Superseded in sid-release on 2017-07-03
bitcoin (0.13.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Patch for -latomic is included upstream, so drop Debian-specific patch.
  * Add semi-colons for hppa patch. (Closes: Bug#841706)

 -- Anthony Towns <email address hidden>  Fri, 28 Oct 2016 13:40:17 +1000
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.13.1-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Patch for -latomic is included upstream, so drop Debian-specific patch.
  * Add semi-colons for hppa patch. (Closes: Bug#841706)

 -- Anthony Towns <email address hidden>  Thu, 27 Oct 2016 18:30:35 +1000
Superseded in sid-release on 2016-10-28
bitcoin (0.13.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Allow compilation with gcc/g++ 6. (Closes: Bug#835963)
  * Additional fixes for openssl 1.1 compatibility. (See Bug#828248)
  * Check if -latomic is needed (it is on mips*).
  * Remove reproducible build patch, since leveldb build system is
    no longer used in 0.13. (See Bug#791834)
  * Update description since the blockchain is much more than "several GB"
    now. (Closes: Bug#835809)

 -- Anthony Towns <email address hidden>  Fri, 21 Oct 2016 17:13:13 +1000
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.13.0-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Allow compilation with gcc/g++ 6. (See Bug#812275)
  * Additional fixes for openssl 1.1 compatibility. (See Bug#828248)
  * Check if -latomic is needed (it is on mips*).

 -- Anthony Towns <email address hidden>  Tue, 23 Aug 2016 17:06:04 +1000
Published in sid-release on 2016-08-22
bitcoin (0.12.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: Bug#822203)
  * Remove cdbs from debian/rules, add debian/copyright-check to help
    with updating debian/copyright info (Closes: Bug#808969)
  * Update dependencies to qt5.
  * Add dependency on libdevent-dev.
  * Add dependency on libzmq for ZeroMQ support.
  * Force use of gcc/g++ 5. (Closes: Bug#812275)
  * Compatibility patch for OpenSSL 1.1 opaque types. (Closes: Bug#828248)
  * Apply reproducible build patch from Reiner Herrmann. (Closes: Bug#791834)
  * Bump standards version.

 -- Anthony Towns <email address hidden>  Fri, 19 Aug 2016 18:48:51 +1000
Superseded in experimental-release on 2016-08-24
bitcoin (0.13.0~rc3-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release candidate.
  * Allow compilation with gcc/g++ 6. (See Bug#812275)
  * Additional fixes for openssl 1.1 compatibility. (See Bug#828248)

 -- Anthony Towns <email address hidden>  Sat, 20 Aug 2016 02:22:48 +1000
Superseded in sid-release on 2016-10-22
bitcoin (0.11.2-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #805052)

 -- Scott Howard <email address hidden>  Thu, 21 Jan 2016 22:43:13 -0500
Superseded in sid-release on 2016-01-23
bitcoin (0.11.1-1) unstable; urgency=medium

  * Updated symbols
  * New upstream release (Closes: #802956)
  * New bitcoin-tx package (Closes: #797683)
  * Updated debian/copyright
  * Removed menu file, just use .desktop file
  * Remove lintian overrides, no longer needed

 -- Scott Howard <email address hidden>  Sun, 08 Nov 2015 10:11:17 -0500
Superseded in sid-release on 2015-11-09
bitcoin (0.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #793622)
    - build on all archs, big endian is now supported
  * Updated symbols file
  * Added bitcoin-cli.1 manpage from contrib/debian/manpages
  * Updated debian/copyright

 -- Scott Howard <email address hidden>  Wed, 29 Jul 2015 15:45:52 -0400
Superseded in sid-release on 2015-11-09
bitcoin (0.10.2-3) unstable; urgency=medium

  * Try running tests with writable ${HOME} and ${TMPDIR}, drop build 
    dependency on xvfb and xauth

 -- Scott Howard <email address hidden>  Tue, 07 Jul 2015 13:15:55 -0400
Superseded in sid-release on 2015-07-07
bitcoin (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add BD on xvfb, xauth, and use xvfb-run on dh_auto_test so qt tests
    run on systems without an X server (Closes: #790403)
  * Updated debian/copyright
    (thanks Thorsten Alteholz, Closes: #790312)

 -- Scott Howard <email address hidden>  Wed, 01 Jul 2015 10:37:00 -0400
Superseded in sid-release on 2015-07-01
bitcoin (0.10.1-2) unstable; urgency=medium

  * Switched to dh 7 style rules
    - remove squeeze backport support
    - bring in line with upstream packaging
  * Build libbitcoinconsensus libraries and packages
  * Merge upstream packaging features
    - bitcoind.bash-cmpletion added

 -- Scott Howard <email address hidden>  Tue, 26 May 2015 16:27:21 -0400
Superseded in sid-release on 2015-07-08
bitcoin (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Howard <email address hidden>  Wed, 13 May 2015 01:42:43 -0400
Superseded in sid-release on 2015-05-15
bitcoin (0.10.0-1) unstable; urgency=medium


  * New upstream release
  * updated debian/copyright
  * Refreshed patches
    - dropped debian/patches/1008_libmemenv_cstdatomic_renaming.patch
      (changed upstream)
  * BD on python to run compile checks

 -- Scott Howard <email address hidden>  Mon, 16 Feb 2015 12:52:26 -0500
Superseded in sid-release on 2015-02-17
bitcoin (0.9.4-1) unstable; urgency=medium


  * New upstream release.
    - Fixes OpenSSL 1.0.1k incompatibility FTBFS and failure to sync
      blockchain (Closes: 775102)
  * Updated debian/copyright, fixed typo in format tag, added short
    names to custom licenses (custom license)
  * Removed patches:
    - debian/patches/1003_qmake_cleanup.patch (unused)
    - debian/patches/2001_stupify_header_script.patch (no longer needed)
    - debian/patches/3001_debug_bts_672524.patch (unused)


 -- Scott Howard <email address hidden>  Thu, 29 Jan 2015 10:36:59 -0500
Superseded in sid-release on 2015-01-30
bitcoin (0.9.3-1) unstable; urgency=medium


  * New upstream release, minor bug fixes
  * BD on libqt4-dev instead of qt4-default (Lintian)
  * D S-V 3.9.6, no changes
  * added exec code to debian/bitcoin.desktop to fix Lintian warning:
    desktop-mime-but-no-exec-code

 -- Scott Howard <email address hidden>  Sun, 05 Oct 2014 12:41:11 -0400
Superseded in sid-release on 2014-10-06
bitcoin (0.9.2.1-1) unstable; urgency=medium


  * New upstream release.
  * Updated regex filter for debian copyright-check
  * BD on libboost-chrono-dev (Closes: #754356)
  * Update Vcs: to anonscm.debian.org

 -- Scott Howard <email address hidden>  Tue, 15 Jul 2014 08:21:37 -0400
Superseded in sid-release on 2014-07-15
bitcoin (0.9.2-1) unstable; urgency=medium


  * New upstream release.
  * Clean left over config.log from failed build (Closes: #743971)
  * No longer need to declare multiarch libboost dir, commented out
    from debian/rules
  * Refreshed patches, debian/copyright_hints

 -- Scott Howard <email address hidden>  Wed, 09 Apr 2014 16:47:50 -0400
Superseded in sid-release on 2014-06-18
bitcoin (0.9.1-1) unstable; urgency=low


  * New upstream release.

 -- Scott Howard <email address hidden>  Tue, 08 Apr 2014 17:13:14 -0400
Superseded in sid-release on 2014-04-09
bitcoin (0.9.0-1) unstable; urgency=low


  * New upstream release.
    - autotools build & add BDs for dh-autoreconf,libprotobuf-dev,
      protobuf-compiler
  * Refreshed patches
    - 1003_qmake_cleanup.patch, no longer needed - no longer uses qmake
    - 1007_libmemenv_hurd.patch, no longer make msync() calls
  * Refreshed debian/copyright, debian/copyright_hints
  * Debian SV 3.9.5 (no changes)

 -- Scott Howard <email address hidden>  Wed, 19 Mar 2014 15:37:29 -0400
Superseded in sid-release on 2014-03-20
bitcoin (0.8.6-1) unstable; urgency=low


  * New upstream release. (Closes: #731772)
  * Refreshed patches, copyright_hints

 -- Scott Howard <email address hidden>  Mon, 09 Dec 2013 10:26:57 -0500
Superseded in sid-release on 2013-12-12
bitcoin (0.8.5-1) unstable; urgency=low


  * New upstream release.

 -- Scott Howard <email address hidden>  Fri, 13 Sep 2013 09:55:38 -0400

Available diffs

Superseded in sid-release on 2013-09-14
bitcoin (0.8.4-1) unstable; urgency=low


  * New upstream release.
    - Closes password attack (Closes: #717828 CVE-2013-4165)
    - Closes DoS vulnerability (Closes: #721821 CVE-2013-4627)
  * Refreshed patches

 -- Scott Howard <email address hidden>  Tue, 03 Sep 2013 22:58:54 -0400
Superseded in sid-release on 2013-09-14
bitcoin (0.8.3-2) unstable; urgency=low


  * Use included leveldb instead of system library. See debian/README.source

 -- Scott Howard <email address hidden>  Thu, 25 Jul 2013 16:54:38 -0400

Available diffs

Superseded in sid-release on 2013-07-30
bitcoin (0.8.3-1) unstable; urgency=low


  * New upstream release

 -- Scott Howard <email address hidden>  Wed, 26 Jun 2013 17:19:51 -0400

Available diffs

Superseded in sid-release on 2013-06-28
bitcoin (0.8.2-1) unstable; urgency=low


  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions. 

  [ Scott Howard ]
  * New upstream release
  * Use new bitcoin-qt manpage from upstream
    - debian/patches/1009_manpage_hyphons.patch dropped, adopted upstream

 -- Scott Howard <email address hidden>  Fri, 31 May 2013 17:43:50 -0400

Available diffs

Superseded in sid-release on 2013-07-30
bitcoin (0.8.1-2) unstable; urgency=low


  * Merge from experimental closing two security bugs in sid
    - Closes: #705266 CVE-2013-2272
    - Closes: #705265 CVE-2013-2293
  * Import patches from libleveldb to fix one of the kFreeBSD & hurd FTBFS
  * Added high res icons to package (LP: #1127181)
  * Remove reference to IRC network in debian/control
  * Patch and ship upstream manpages instead of maintaining our own
    - updated bitcoin-qt manpage for version 0.8.1
  * Drop wrapper for bitcoind
    -upstream has dropped it and the wrapper may introduce problems with 
     multi-wallet or non-default data directories

 -- Scott Howard <email address hidden>  Tue, 26 Mar 2013 13:52:40 -0400
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.8.1-1) experimental; urgency=low


  * New upstream release (Closes: #700910, Closes: #701085, Closes: #703213)
    (LP: #1130638)
  * debian/patches
    - Removed 1004_conservative_qt-dbus.patch applied upstream
    - New 1005_use_system_libleveldb.patch
      use system leveldb, build convenience copy of libmemenv.a but only
      linked against test suite which is not distributed
  * removed depricated Encoding key from bitcoin-qt.desktop

 -- Scott Howard <email address hidden>  Tue, 26 Feb 2013 14:10:15 -0500

Available diffs

Superseded in sid-release on 2013-04-24
bitcoin (0.7.2-3) unstable; urgency=low


  [ Petter Reinholdtsen ]
  * Clean up hyphen handling and rewrite long line causing roff warning
    to one where word wrapping work better, to avoid lintian warning about
    bitcoin.conf.5.
  * Update Standards-Version from 3.9.3 to 3.9.4.  No changes needed.
  * Add patch and rules code to try to debug #672524.

 -- Scott Howard <email address hidden>  Thu, 07 Feb 2013 10:49:50 -0500

Available diffs

Superseded in sid-release on 2013-02-08
bitcoin (0.7.2-2) unstable; urgency=low


  [ Scott Howard ]
  * Update long description: Blockchain requires several GB of space.
    Closes: #677524. Thanks to Gwern Branwen.
  * Set $HOME to debian/home since buildd do not have RW permission to
    /home/buildd.
    Closes: #696262.

  [ Petter Reinholdtsen ]
  * Remove mentions on anonymity in manual page: Only true with a lot of
    extra effort, so misleading to claim that.
    Closes: #696477. Thanks to Matt Caorallo.
  * Add patch libdb-squeeze.patch to get src/db.cpp to support linkage
    against older versions of BerkeleyDB, easing backporting to Squeeze.
  * Stop build-depend needlessly on libglib2.0-dev.
  * Add new binary package bitcoin-qt for the GUI version of the bitcoin
    client, with DBus and QR code generation enabled.
    Build-depend on qt4-qmake, libqt4-dev and libqrencode-dev.
    Remove obsolete block about the missing GUI from README.Debian.
    Rename obsolete bitcoin-gui.menu to bitcoin-qt.menu and update
    title and section based on desktop file.  Enable some
    hardening using dpkg-buildflags, while skipping others because
    it breaks the build.
    Closes: #627263. Thanks to Leandro Lucarella and Matt Corallo.
  * Add manual page for bitcoin-qt from the git repository of
    Dmitry Smirnov.
  * Add setup to install bash completion rules for bitcoind
    in bitcoind package.  Based on work from Matt Corallo.

  [ Jonas Smedegaard ]
  * Add README.source referencing our use of CDBS and git-buildpackage.
  * Update copyright file:
    + List upstream issue tracker as preferred upstream contact.
  * Update package relations:
    + Simplify to drop Boost fallback build-dependencies: Needed only
      for backport to Lenny, which is no longer supported.
    + Bump fallback BerkeleyDB build-dependency to 4.8 (default version
      is in Squeeze), and stop suggesting older utils package than that.
    + Relax to build-depend unversioned on debhelper (i.e. revert
      tightening introduced in 0.7.2-1): Needed version satisfied in
      stable, and oldstable is no longer supported.
  * Drop NEWS file: Only entry was about change of BerkeleyDB version,
    which is no longer news for testing/unstable users, and package is
    not yet stable so not news there either.
  * Improve Qt client build by use of the CDBS qmake snippet, and
    building daemon and testsuite in per-package targets (because qmake
    doesn't support flavored builds).
  * Limit HOME hack to testsuite invocation.
  * Relax lintian override to cover bumped libdb++-dev
    fallback-dependency.
  * Tidy DEP3 header of patch 1002: Drop bogus or superfluous lines.
  * Add patch 2001 to stupify header generating script: Avoid uselessly
    inspect our git.
  * Add patch 1003 to remove autogenerated build/build.h in qmake
    distclean target.
  * Check for custom DEB_BUILD_OPTIONS=noupnp option, to ease
    backporting. Add note about it to README.source.
  * Add patch 1004 to use QImage.bits (not QImage.constBits), to ease
    backporting.
    Thanks to Petter Reinholdtsen.
  * Build-depend on libqtwebkit-dev: Apparently that is needed (linker
    error if missing).
  * Disable parallel builds: Perhaps cause of Qt linker errors.

 -- Jonas Smedegaard <email address hidden>  Mon, 24 Dec 2012 05:27:25 +0100

Available diffs

Superseded in sid-release on 2013-02-07
bitcoin (0.7.2-1) unstable; urgency=low


  * New upstream source. (Closes: #689917)
    - DoS vulnerabillities:
      CVE-2012-3789 closed (Closes: #682676)
      CVE-2012-4683 and CVE-2012-4682 closed (Closes: #688813)
    - Block database no longer stored alongside wallet.dat
      (Closes: #660286)

  [ Jonas Smedegaard ]
  * Update watch file to directly use github.com (not
    githubredir.debian.net).
  * Update copyright file:
    + Update list of main upstream authors.
    + Drop obsolete Files section for sha256.cpp.
    + Add Files section for newly introduced bash-completion.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
  * Bump debhelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

  [ Scott Howard ]
  * debian/control
    - Changed maintainer to: Debian Bitcoin Packaging Team
  * Added myself as uploader.
  * Enabled parallel building DEB_BUILD_PARALLEL
  * Updated debian/control description of bitcoind to state that the
    blockchain now is "several GB" large (Closes: #677524)

 -- Jonas Smedegaard <email address hidden>  Sat, 10 Nov 2012 23:22:04 +0100
Superseded in sid-release on 2013-02-06
bitcoin (0.6.2.2-1) unstable; urgency=low


  * New upstream release.

 -- Jonas Smedegaard <email address hidden>  Sun, 13 May 2012 13:40:23 +0200

Available diffs

Superseded in sid-release on 2012-05-14
bitcoin (0.6.2.1-2) unstable; urgency=low


  * Fix build on wildcard any-arm (not bogus any-armel any-armhf).
    Really closes: bug#668868. Thanks to Jakub Wilk.

 -- Jonas Smedegaard <email address hidden>  Thu, 10 May 2012 22:11:10 +0200
Superseded in sid-release on 2012-05-11
bitcoin (0.6.2.1-1) unstable; urgency=low


  * New upstream release.

  * Add -fpermissive to CXXFLAGS to work around build failure with gcc
    4.7.
    Closes: bug#667114. Thanks to Matthias Klose.
  * Only build on little-endian architectures: Upstream code does not
    support big-endian.
    Closes: bug#668868, #668864. Thanks to Dwayne C. Litzenberger.

 -- Jonas Smedegaard <email address hidden>  Thu, 10 May 2012 14:09:46 +0200
Superseded in sid-release on 2012-05-12
bitcoin (0.6.1-1) unstable; urgency=low


  * New upstream release.

 -- Jonas Smedegaard <email address hidden>  Sat, 05 May 2012 23:27:54 +0200
Superseded in sid-release on 2013-06-04
bitcoin (0.6.0-1) unstable; urgency=low


  * New upstream release.
  * Update copyright file:
    + Extend copyright years.
    + Add Files paragraph for new Stochastic address manager.
    + Bump format to 1.0.
    + Shorten comments, and quote license strings in them.
  * Stop setting HOME during regression tests: Fixed upstream.
  * Bump standards-version to 3.9.3.
  * Update Vcs-Browser field to use anonscm.debian.org URL.

 -- Jonas Smedegaard <email address hidden>  Fri, 30 Mar 2012 20:00:48 +0200
Superseded in sid-release on 2012-05-06
bitcoin (0.5.2-1) unstable; urgency=low


  * New upstream release.
  * Add lintian override for Build-dependency on versioned Berkeley DB:
    Used only as backporting-friendly fallback.
  * Strip word "anonymous" from short description: Wrong advertising!
  * Set HOME to build dir during regression tests.
    Closes: bug#645544. Thanks to Christoph Egger.

 -- Jonas Smedegaard <email address hidden>  Tue, 21 Feb 2012 17:45:31 +0100
Deleted in experimental-release (Reason: None provided.)
bitcoin (0.5.1-1) experimental; urgency=low


  * New upstream release.
  * Update to use only Github (not Sourceforge) as upstream source.
  * Update copyright file:
    + Sync list of upstream developers with http://bitcoin.org/ .
    + Add Files section for newly added contrib/macdeploy/*.
    + Extend Files section for debian-provided manpages to cover
      upstream shipped duplicate below contrib/debian.

 -- Jonas Smedegaard <email address hidden>  Wed, 21 Dec 2011 11:34:17 +0700
Superseded in experimental-release on 2011-12-21
bitcoin (0.5.0~rc1-1) experimental; urgency=low


  * New upstream prerelease.
  * Add Github as alternate upstream source in watch file.
  * Stop build-depending on libcrypto++-dev, and drop patch 1000:
    Upstream no longer use crypto++.
  * Drop patch 1003: Upstream builds dynamic by default now.
  * Update copyright file: Drop notes on longer included sources.

 -- Jonas Smedegaard <email address hidden>  Fri, 14 Oct 2011 00:16:18 +0200
Superseded in sid-release on 2012-02-23
bitcoin (0.4.0-1) unstable; urgency=low


  * New upstream release.
  * Stop repackaging source tarballs: No DFSG-violating stripping left.
  * Update copyright file:
    + Add Github URL to Source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
    + Add irc URL to Upstream-Contact.
    + Add comment on Bitcoin Developers to catch-all Files section.
    + Add Files sections for newly readded src/cryptopp/* (new custom
      BSD-like license), and newly added doc/build-osx.txt and
      src/makefile.osx (Expat).
  * Bump debhelper compatibility level to 7.
  * Suppress binary icns and gpg files.
  * Enable regression tests:
    + Build-depend on libboost-test-dev.
    + Extend patch 1003 to also dynamically link test binary.
    + Build and invoke test binary unless tests are disabled.
  * Tighten build-dependency on cdbs: Recent version needed to support
    debhelper 7.
  * Relax build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Stop suppress optional build-dependencies: Satisfied in stable.
    Build-depend on devscripts (enabling copyright-check).

 -- Jonas Smedegaard <email address hidden>  Wed, 05 Oct 2011 01:48:53 +0200
Deleted in wheezy-release (Reason: None provided.)
Superseded in sid-release on 2012-05-15
bitcoin (0.3.24~dfsg-1) unstable; urgency=low
  * New upstream release.  [ Jonas Smedegaard ]  * Improve various usage hints:    + Explicitly mention in long description that bitcoind contains      daemon and command-line interface.    + Extend README.Debian with section on lack of GUI, and add primary      headline.    + Avoid installing upstream README: contains no parts relevant for      Debian usage.    Thanks to richard for suggestions (see bug#629443).  * Favor final releases over prereleases in rules and watch file.    Thanks to Jan Dittberner.  * Track -src (not -linux) tarballs in rules and watch file.    Thanks to Jan Dittberner.  * Drop patches 1004 and 1005 (integrated upstream) and simplify    CXXFLAGS in rules file.  * Stop stripping no longer included source-less binaries from upstream    tarballs.  [ Jan Dittberner ]  * refresh debian/patches/1000_use_system_crypto++.patch -- Jonas Smedegaard <email address hidden>  Tue, 19 Jul 2011 15:08:54 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
bitcoin (0.3.21~dfsg-2) unstable; urgency=low
  * Enable UPNP support:    + Drop patch 1006.    + Build-depend on libminiupnpc-dev.    Thanks to Matt Corallo. -- Jonas Smedegaard <email address hidden>  Sat, 28 May 2011 15:52:44 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
bitcoin (0.3.21~dfsg-1) unstable; urgency=low
  * New upstream release.  * Refresh patches.  * Drop patch 1002: no longer needed, as upstream use pkgconfig now.  * Add patch 1006 to really unset USE_UPNP as aparently intended.  * Adjust cleanup rule to preserve .gitignore files.  * Update copyright file:    + Bump format to draft 174 of DEP-5.    + Shorten comments.  * Bump policy compliance to standards-version 3.9.2.  * Shorten Vcs-Browser paragraph in control file.  * Fix mention daemon (not CLI tools) in short description.  * Stop conflicting with or replace bitcoin-cli: Only transitional, no    longer needed.  * Link against unversioned berkeleydb. Update NEWS and README.Debian    accordingly (and improve wording while at it).    Closes: Bug#621425. Thanks to Ondřej Surý.  * This release also implicitly updates linkage against libcrypto++,    which closes: bug#626953, #627024.  * Disable linkage against not yet Debian packaged MiniUPnP.  * Silence seemingly harmless noise about unused variables. -- Jonas Smedegaard <email address hidden>  Tue, 17 May 2011 15:31:24 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
bitcoin (0.3.20.2~dfsg-2) unstable; urgency=medium
  * Fix have wrapper script execute real binary (not loop executing    itself).    Closes: bug#617290. Thanks to Philippe Gauthier and Etienne Laurin.  * Set urgency=medium as the only (user-exposed) binary is useless    without this fix and has been for some time. -- Jonas Smedegaard <email address hidden>  Wed, 16 Mar 2011 09:11:06 +0100
Superseded in sid-release on 2011-09-20
bitcoin (0.3.20.2~dfsg-1) unstable; urgency=low
  * New upstream release.  * Fix provide and replace former package name bitcoin-cli.    Closes: bug#618439. Thanks to Shane Wegner. -- Jonas Smedegaard <email address hidden>  Tue, 15 Mar 2011 11:41:43 +0100
Superseded in sid-release on 2011-09-20
bitcoin (0.3.20.01~dfsg-1) unstable; urgency=low
  * New upstream release.  [ Micah Anderson ]  * Add myself as uploader.  [ Jonas Smedegaard ]  * Add wrapper for bitcoind to ease initial startup.  * Update patches:    + Drop patch 2002: Applied upstream.    + Add patch 1005 to add phtread linker option.      Closes: bug#615619. Thanks to Shane Wegner.    + Refresh patches.  * Extend copyright years in rules file header.  * Rewrite copyright file using draft svn166 of DEP5 format.  * Rename binary package to bitcoind (from bincoin-cli).    Closes: bug#614025. Thanks to Luke-Jr. -- Jonas Smedegaard <email address hidden>  Tue, 01 Mar 2011 15:55:04 +0100
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
bitcoin (0.3.19~dfsg-6) unstable; urgency=low
  * Fix override agressive optimizations.  * Fix tighten build-dependencies to really fit backporting to Lenny:    + Add fallback build-dependency on libdb4.6++-dev.    + Tighten unversioned Boost build-dependencies to recent versions,      To force use of versioned Boost when backporting to Lenny.    ...needs more love, though: actual build fails. -- Jonas Smedegaard <email address hidden>  Mon, 17 Jan 2011 19:48:35 +0100
157 of 57 results